<template>
  <h2>Vue Dynamic Form</h2>
  <FormHome v-if="showForm" :inputFields="inputItems" />
  <button @click="showForm = !showForm">Toggle</button>
</template>

<script>
import FormHome from "./components/FormHome.vue";

export default {
  name: "App",
  components: {
    FormHome,
  },
  data() {
    return {
      showForm: true,
      inputItems: [
        {
          id: 1,
          type: "text",
          text: "Name",
          req: true,
        },
        {
          id: 2,
          type: "number",
          text: "Number",
          req: true,
        },
        {
          id: 3,
          type: "email",
          text: "Email",
          req: true,
        },
        {
          id: 4,
          type: "text",
          text: "Address",
          req: false,
        },
      ],
    };
  },
  beforeCreate() {
    console.log(`(App) beforeCreate.`);
  },
  created() {
    console.log(`(App) created.`);
  },
  beforeMount() {
    console.log(`(App) beforeMount.`);
  },
  mounted() {
    console.log(`(App) mounted.`);
  },
  beforeUpdate() {
    console.log(`(App) beforeUpdate.`);
  },
  updated() {
    console.log(`(App) updated.`);
  },
  beforeUnmount() {
    console.log(`(App) beforeUnmount.`);
  },
  unmounted() {
    console.log(`(App) unmounted.`);
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
